// Copyright Erkki Seppl 2002
// $Id: client.cc,v 1.1 2003/01/26 19:46:29 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $

static char* gs_id __attribute__ ((unused)) ="$Id: client.cc,v 1.1 2003/01/26 19:46:29 flux Exp $"; /// ID for CVS/RCS

#include "client.hh"

#include <network/socketunix.hh>
#include <network/addressunix.hh>

using Network::SocketUnix;
using Network::AddressUnix;

Client::Client(std::string a_socketfile,
               std::ostream& a_log) :
  m_log(a_log)
{
  SocketUnix sock(SocketUnix::STREAM);
  if (sock.connect(AddressUnix(a_socketfile))) {
    m_socket = sock;
  } else {
    // !!! throw error ???
  }
}

void
Client::hello()
{
  
}

Client::~Client()
{
  // nothing
}
  

// changelog:
//
// $Log: client.cc,v $
// Revision 1.1  2003/01/26 19:46:29  flux
// Committing most recent files to old repository backup
//
