// Copyright Erkki Seppl 2002
// $Id: client.hh,v 1.1 2003/01/26 19:46:29 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $


#ifndef CLIENT_HH
#define CLIENT_HH

#include <network/socket.hh>
#include <iostream>
#include <string>

class Client {
public:
  Client(std::string a_socketfile,
         std::ostream& a_log);
  virtual ~Client();

  void hello();

private:
  Client(const Client& a_other); /// not there
  Client& operator=(const Client& a_other); /// not there

  Network::Socket	m_socket;
  std::ostream&		m_log;
};

#endif // CLIENT_HH


// changelog:
//
// $Log: client.hh,v $
// Revision 1.1  2003/01/26 19:46:29  flux
// Committing most recent files to old repository backup
//
