// Copyright Erkki Seppl 2002
// $Id: service.hh,v 1.2 2002/05/28 14:55:04 flux Exp $
// $Author: flux $ 
// $Revision: 1.2 $


#ifndef SERVICE_HH
#define SERVICE_HH

#include <sys/socket.hh>
#include <network/exception.hh>

namespace Network { 
  class Service {
  public:
    Service();
    virtual ~Service();

    virtual sockaddr* getAddress(int* size) = 0;
    
  private:
    Service(const Service& a_other); /// not there
    Service& operator=(const Service& a_other); /// not there

  };
}

#endif // SERVICE_HH


// changelog:
//
// $Log: service.hh,v $
// Revision 1.2  2002/05/28 14:55:04  flux
// Updated copyright message
//
// Revision 1.1  2002/05/22 06:33:43  flux
// First version
//
