// Copyright Erkki Seppl 2002
// $Id: socket.test.cc,v 1.2 2002/05/28 14:55:04 flux Exp $
// $Author: flux $ 
// $Revision: 1.2 $

static char* gs_id __attribute__ ((unused)) ="$Id: socket.test.cc,v 1.2 2002/05/28 14:55:04 flux Exp $"; /// ID for CVS/RCS

#include <network/socketipv4.hh>
#include <network/addressipv4.hh>
#include <network/stream.hh>

using namespace Network;

int
main()
{
  Socket socket = SocketIPV4(SocketIPV4::STREAM);
  Address address = AddressIPV4("xulfad", 80);
  if (!socket.connect(address)) {
    std::cout << "Failed to connect " << address << "\n";
  }

  std::iostream& stream = socket.stream();
  stream << "GET /\r\n";

  while (stream) {
    std::string line;
    std::getline(stream, line);
    std::cout << line << "\n";
  }

  return 0;
}


// changelog:
//
// $Log: socket.test.cc,v $
// Revision 1.2  2002/05/28 14:55:04  flux
// Updated copyright message
//
// Revision 1.1  2002/05/28 07:47:49  flux
// Added socket test code
//
