// Copyright Erkki Seppl 2002
// $Id: socketipv4.cc,v 1.2 2002/05/28 14:55:04 flux Exp $
// $Author: flux $ 
// $Revision: 1.2 $

static char* gs_id __attribute__ ((unused)) ="$Id: socketipv4.cc,v 1.2 2002/05/28 14:55:04 flux Exp $"; /// ID for CVS/RCS

#include <network/socketipv4.hh>
#include <sys/socket.h>
#include <netinet/in.h>

namespace Network {
  SocketIPV4::SocketIPV4(Type a_type)
  {
    int fd = ::socket(PF_INET,
                      (a_type == STREAM) ? SOCK_STREAM : SOCK_DGRAM,
                      (a_type == STREAM) ? IPPROTO_TCP : IPPROTO_UDP);
    setFd(fd);
  }
}

// changelog:
//
// $Log: socketipv4.cc,v $
// Revision 1.2  2002/05/28 14:55:04  flux
// Updated copyright message
//
// Revision 1.1  2002/05/22 08:33:29  flux
// Added some Socket-wrapping
//
