// Copyright Erkki Seppl 2002
// $Id: addressunix.test.cc,v 1.1 2003/01/26 19:40:39 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $

static char* gs_id __attribute__ ((unused)) ="$Id: addressunix.test.cc,v 1.1 2003/01/26 19:40:39 flux Exp $"; /// ID for CVS/RCS

#include <network/socketunix.hh>
#include <network/addressunix.hh>
#include <network/socket.hh>

int
main()
{
  using namespace Network;

  Address a = AddressUnix("/tmp/foo");
  std::cout << a << std::endl;

  SocketUnix sock(SocketUnix::STREAM);
  sock.reuseAddress(true);
  if (sock.bind(a)) {
    if (sock.listen(0)) {
      std::cerr << "Listening on " << a << std::endl;
    } else {
      std::cerr << "Failed to listen on " << a << std::endl;
    }
  } else {
    std::cerr << "Failed to bind " << a << std::endl;
  }
}

// changelog:
//
// $Log: addressunix.test.cc,v $
// Revision 1.1  2003/01/26 19:40:39  flux
// Added some files (had to revert an old repository from backups)
//
// Revision 1.1  2002/07/02 19:41:07  flux
// Added Unix-addresses
//
