// Copyright Erkki Seppl 2002
// $Id: selectable.hh,v 1.1 2002/05/28 15:53:33 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $


#ifndef SELECTABLE_HH
#define SELECTABLE_HH

#include <sys/types.h>

namespace Network {
  class Selectable {
  public:
    Selectable() {}
    virtual ~Selectable() {}

    virtual int markSelect(fd_set* a_readFds,
                           fd_set* a_writeFds,
                           fd_set* a_exceptFds) = 0;
    virtual bool checkSelect(const fd_set* a_readFds,
                             const fd_set* a_writeFds,
                             const fd_set* a_exceptFds) = 0;

  private:
  };
}

#endif // SELECTABLE_HH


// changelog:
//
// $Log: selectable.hh,v $
// Revision 1.1  2002/05/28 15:53:33  flux
// Added selecting support
//
