// Copyright Erkki Seppl 2002
// $Id: socketunix.cc,v 1.1 2003/01/26 19:40:39 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $

static char* gs_id __attribute__ ((unused)) ="$Id: socketunix.cc,v 1.1 2003/01/26 19:40:39 flux Exp $"; /// ID for CVS/RCS

#include <network/socketunix.hh>
#include <sys/socket.h>
#include <sys/un.h>

namespace Network {
  SocketUnix::SocketUnix(Type a_type)
  {
    int fd = ::socket(PF_UNIX, (a_type == STREAM) ? SOCK_STREAM : SOCK_DGRAM, 0);
    setFd(fd);
  }
}


// changelog:
//
// $Log: socketunix.cc,v $
// Revision 1.1  2003/01/26 19:40:39  flux
// Added some files (had to revert an old repository from backups)
//
// Revision 1.1  2002/07/02 19:41:07  flux
// Added Unix-addresses
//
