// Copyright Erkki Seppl 2002
// $Id: socketunix.hh,v 1.1 2003/01/26 19:40:39 flux Exp $
// $Author: flux $ 
// $Revision: 1.1 $


#ifndef SOCKETUNIX_HH
#define SOCKETUNIX_HH

#include <network/socket.hh>

namespace Network {
  class SocketUnix : public Socket {
  public:
    enum Type { STREAM, DATAGRAM };
    SocketUnix(Type a_type);

  private:
    SocketUnix(const SocketUnix& a_other); /// not there
    SocketUnix& operator=(const SocketUnix& a_other); /// not there

  };
}

#endif // SOCKETUNIX_HH


// changelog:
//
// $Log: socketunix.hh,v $
// Revision 1.1  2003/01/26 19:40:39  flux
// Added some files (had to revert an old repository from backups)
//
// Revision 1.1  2002/07/02 19:41:07  flux
// Added Unix-addresses
//
